> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify EVM proof

> Submit an EVM proof for verification. Upload the proof file and specify the configuration used.



## OpenAPI

````yaml POST /v1/verify
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/verify:
    post:
      tags:
        - verification
      summary: Submit EVM Proof Verification
      description: >-
        Submit an EVM proof for verification. Upload the proof file and specify
        the configuration used.
      operationId: verify_evm_v1_verify_post
      parameters:
        - name: config_id
          in: query
          required: true
          schema:
            type: string
            title: Config Id
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_verify_evm_v1_verify_post'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        '201':
          description: Verification job submitted successfully
        '400':
          description: Invalid proof file or configuration
        '404':
          description: Configuration not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_verify_evm_v1_verify_post:
      properties:
        proof:
          type: string
          format: binary
          title: Proof
      type: object
      required:
        - proof
      title: Body_verify_evm_v1_verify_post
    PostResponse:
      properties:
        id:
          type: string
          title: Id
      type: object
      required:
        - id
      title: PostResponse
      description: Generic response for POST operations.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````